VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CContentDescription"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'programmed by ShareVB
'gestion de la ligne Content-Disposition:

Option Explicit
Option Compare Text

'variables locales de stockage des valeurs de propriétés
Private mvarContent As String 'copie locale

'==================================================
'propriétés
'==================================================

'définit ou renvoie le nom de fichier (sans chemin) de la pièce jointe (attachment)
Public Property Let Content(ByVal vData As String)
'utilisé lors de l'affectation d'une valeur à la propriété, du coté gauche de l'affectation.
'Syntax: X.Content = 5
    mvarContent = vData
End Property
Public Property Get Content() As String
'utilisé lors de la lecture de la valeur de la propriété, du coté droit de l'instruction.
'Syntax: Debug.Print X.Content
    Content = mvarContent
End Property

'==================================================
'méthodes publiques
'==================================================

'analyse un champ Content-Disposition et remplit les propriétés de l'objet
Public Sub Parse(ByVal szContentDescr As String)
mvarContent = Trim$(szContentDescr)
End Sub

'fabrique un champ Content-Disposition à partir des propriétés de l'objet
Public Function Make() As String
    If Len(mvarContent) Then Make = "Content-Description: " & mvarContent
End Function
